---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.128.0.19
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: dns-default-ks2fv
      namespace: openshift-dns
      resourceVersion: "10223"
      uid: 2f783641-2933-4bb4-9bed-31bf3128e0cf
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.129.0.7
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: dns-default-bgt8d
      namespace: openshift-dns
      resourceVersion: "10161"
      uid: 068ca83d-4811-4773-a3c8-0614afc30ac8
    topology:
      kubernetes.io/hostname: master-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.130.0.14
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: dns-default-z5jj6
      namespace: openshift-dns
      resourceVersion: "10152"
      uid: 0b1f610a-e9c5-4df3-b364-259e85fde1c5
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.131.0.2
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: dns-default-zwxfh
      namespace: openshift-dns
      resourceVersion: "20284"
      uid: eb71475e-17df-4726-bcb1-78e396516476
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.128.2.3
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: dns-default-xbgq5
      namespace: openshift-dns
      resourceVersion: "20938"
      uid: def92cad-d34e-4cc9-8b88-23fc63db8e3b
    topology:
      kubernetes.io/hostname: worker-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.129.2.2
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: dns-default-fcp4w
      namespace: openshift-dns
      resourceVersion: "21482"
      uid: 4c33e786-f447-4b6e-8996-da88a7a51fe3
    topology:
      kubernetes.io/hostname: worker-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:48:10Z"
    creationTimestamp: "2022-03-08T10:39:51Z"
    generateName: dns-default-
    generation: 13
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: dns-default
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"3a6edcb6-07c5-47c5-8b85-917bb4b800fe"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:48:10Z"
    name: dns-default-dfdw8
    namespace: openshift-dns
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: dns-default
      uid: 3a6edcb6-07c5-47c5-8b85-917bb4b800fe
    resourceVersion: "21484"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-dns/endpointslices/dns-default-dfdw8
    uid: b8a5546e-62a2-4a60-839f-4e516e4c1c61
  ports:
  - name: metrics
    port: 9154
    protocol: TCP
  - name: dns-tcp
    port: 5353
    protocol: TCP
  - name: dns
    port: 5353
    protocol: UDP
kind: EndpointSliceList
metadata:
  resourceVersion: "82672"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-dns/endpointslices
